AutoCAD - Português

AutoCAD - Português

Responder
Active Member
gesieloliveira
Envios: 9
Registrado: ‎10-01-2012
Mensagem 1 de 3 (490 Exibições)

Converter arco em seguimento de reta

490 Exibições, 2 Respostas
05-07-2013 06:23 AM

Alguém tem alguma lisp que converta arco em seguimento de reta?

 

Obrigado

 

Gesiel

Active Contributor
KLUG-TICIANO
Envios: 29
Registrado: ‎11-04-2008
Mensagem 2 de 3 (464 Exibições)

Re: Converter arco em seguimento de reta

05-21-2013 10:51 AM em resposta a: gesieloliveira

Gesiel

 

Estou considerando que o arco é de fato um arco, ou seja,  existe um ponto equidistante de todos os pontos da "curva".

Um círculo que tenha sido editado com um "trim" e tenha menos do que 360 graus vai ser considerado como um arco...

 

Em anexo aplicativo para seu uso.

      Faça a instalação com o comando "appload".

     Com o arquivo aberto rode a macro "Segmentar_arco";

     Selecione o arco a trabalhar, não sendo problema outras entidades/objetos terem sido selecionados;

     Não podemos selecionar dois arcos ao mesmo tempo;

     Defina o número de segmentos que quer;

     Tecle "enter";

 

Bom uso!

Ticiano

============================================================================

*Expert Elite*
hmsilva
Envios: 2.771
Registrado: ‎12-17-2004
Mensagem 3 de 3 (453 Exibições)

Re: Converter arco em seguimento de reta

05-22-2013 03:05 AM em resposta a: gesieloliveira

Gesiel,

este é um código muito simples, e escrito à pressa, mas faz o que pretendes, muda o nome da função "teste" para aquele que for melhor para ti e slava-o como um ficheiro .lsp

 

(defun c:test (/ EDATA HND SS)
  (prompt "\nSeleciona um ARCO para transformar em LINHA: ")
  (if (setq ss (ssget ":S:L" '((0 . "ARC"))))
    (progn
      (setq hnd (ssname ss 0))
      (setq edata (entget hnd))
      (entmake (list '(0 . "LINE")
		     (cons 8 (cdr (assoc 8 edata)))
		     (cons 10 (vlax-curve-getstartpoint hnd))
		     (cons 11 (vlax-curve-getendpoint hnd))
	       )
      )
      (entdel hnd)
    );; progn
  );; if
  (princ)
);; defun

Espero que ajude

Henrique

Comunicados
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.